1

I just install ubuntu 17.10 and trying to install gnome tweak through apt://gnome-tweak-tool but I get the following error

The address wasn’t understood
    Firefox doesn’t know how to open this address, because one of the following protocols (apt) isn’t associated with any program or is not allowed in this context.

You might need to install other software to open this address.

Any idea how to fix this error?

thanks

3
  • Could you open a terminal window, and type the command sudo apt install gnome-tweak-tool and paste the results into your question? Oct 24 '17 at 18:06
  • This command installed gnome tweak. Thanks for sharing. Now i want to install now ubuntu-restricted-extras trough apt://ubuntu-restricted-extras and apt://arc-theme among others an get the same error, any idea how to fix this problem?
    – user615274
    Oct 24 '17 at 19:43
  • Changing answer slightly... Oct 24 '17 at 20:18
2

Previous answers have suggested workarounds, and not a proper fix, so I am sharing what worked for me.

  1. Go to about:config in your Firefox browser
  2. Right-click -> New -> Boolean -> Name: network.protocol-handler.expose.apt -> Value -> false
  3. Try opening an apt:// link (if you type in yourself, it searches for it on Google). It will show a pop-up, select AptUrl, and tick the option to remember it.

Video Tutorial for beginners

4
2

To install gnome-tweak

sudo apt install gnome-tweak-tool

To install restricted-extras

sudo apt install ubuntu-restricted-extras

To install arc-theme

sudo apt install arc-theme

Something has broken in one of the usual methods for installing software. The link that you have posted should open the Ubuntu Software program and initiate installation, but obviously does not.

As a good learning experience, there are a lot of well written answers on this website which can be searched by "How to install sofware"

4
  • Thanks for the information. I am getting the links from this post omgubuntu.co.uk/2017/10/…
    – user615274
    Oct 24 '17 at 20:09
  • If these answers are helping, please check the Accepted (check mark) icon on the question! Oct 24 '17 at 20:11
  • 1
    sudo apt install arc-theme instead of sudo apt-install arc-theme
    – user615274
    Oct 24 '17 at 20:57
  • @user615274 fixed type - Thanks! Oct 24 '17 at 21:02
1

try doing sudo apt install gnome-tweak-tool instead ?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.